cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andrew Madu <andrewm...@gmail.com>
Subject From 2.1 to 2.2, the migration. Now what?!
Date Mon, 02 Jun 2008 11:25:07 GMT
Hi,

I have a requirement for the following serializers in my cocoon project

   1. swf
   2. svg2jpeg
   3. svg2png

I have tried to specify their dependency within my pom.xml file as follows:

    <dependency>
      <groupId>org.apache.cocoon</groupId>
      <artifactId>cocoon-(swf/svg2jpeg/svg2png)-impl</artifactId>
      <version>1.1.0</version>
    </dependency>

and then recompile using maven but am given the following missing jar 
message:
Missing org.apache.cocoon:cocoon-swf-impl:jar:1.1.0, etc. What am I 
missing here?

Also, in regards to transformers, which are now handled in the core 
module, how do I now specify parameter values? Would this be handled in 
the pom.xml or the sitemap? For example how would I now handle the 
following in 2.2?:

<map:transformer name="xslt-saxon" pool-grow="2" pool-max="32" 
pool-min="8" src="org.apache.cocoon.transformation.TraxTransformer">

      <use-request-parameters>false</use-request-parameters>
      <use-browser-capabilities-db>false</use-browser-capabilities-db>
      <xslt-processor-role>saxon</xslt-processor-role>

</map:transformer>

Many thanks in advance.

-- 
Regards

Andrew



Mime
View raw message